Page MenuHomePhabricator

[AMDGPU] Load divergence predicate refactoring
ClosedPublic

Authored by alex-t on Sep 11 2018, 7:20 AM.

Details

Reviewers
rampitec
Summary

This change is refactoring of the SMRD load divergence predicate function.
No additional tests needed. Existing smrd and uniformity tests behave as before.

CodeGen/AMDGPU lit tests passed.

Diff Detail

Event Timeline

alex-t created this revision.Sep 11 2018, 7:20 AM
rampitec added inline comments.Sep 11 2018, 11:23 AM
lib/Target/AMDGPU/AMDGPUISelDAGToDAG.cpp
2121

The name is misleading. A uniform load is just !N->isDivergent(). What you have here is a check if load is actually scalarizable.

2125

The formatting is weird.

alex-t updated this revision to Diff 165048.Sep 12 2018, 3:19 AM
alex-t marked 2 inline comments as done.

Formatting fixed, function renamed.

rampitec added inline comments.Sep 12 2018, 12:04 PM
lib/Target/AMDGPU/AMDGPUISelDAGToDAG.cpp
2125

It is still weird and misleading.

alex-t added inline comments.Sep 12 2018, 11:40 PM
lib/Target/AMDGPU/AMDGPUISelDAGToDAG.cpp
2125

Current formatting is done by clang-format -style=llvm.
Could you suggest the way to change it? What style would you prefer?

rampitec added inline comments.Sep 13 2018, 12:16 AM
lib/Target/AMDGPU/AMDGPUISelDAGToDAG.cpp
2125

Never mind, that was bogus browser fonts.

This revision is now accepted and ready to land.Sep 13 2018, 12:16 AM

*Please* don't forget to subscribe the appropriate -commits list, and set the appropriate repository!
if that doesn't happen, the review essentially did not happen.

alex-t closed this revision.Sep 13 2018, 5:49 AM